# Uses of Class
org.jmol.symmetry.SymmetryOperation

Packages that use SymmetryOperation
Package
Description
org.jmol.symmetry

## Uses of SymmetryOperation in org.jmol.symmetry

Fields in org.jmol.symmetry declared as SymmetryOperation
Modifier and Type
Field
Description
`SymmetryOperation[]`
SpaceGroup.`symmetryOperations`
Methods in org.jmol.symmetry that return SymmetryOperation
Modifier and Type
Method
Description
`static SymmetryOperation[]`
SymmetryOperation.`getAdditionalOperations(SymmetryOperation[] ops, int per_dim)`
`SymmetryOperation[]`
Symmetry.`getSymmetryOperations()`
Methods in org.jmol.symmetry with parameters of type SymmetryOperation
Modifier and Type
Method
Description
`protected int`
SpaceGroup.`addOp(SymmetryOperation op, String xyz0, boolean isSpecial)`
`static SymmetryOperation[]`
SymmetryOperation.`getAdditionalOperations(SymmetryOperation[] ops, int per_dim)`
`static Lst<P3>`
SymmetryOperation.`getLatticeCentering(SymmetryOperation[] ops)`
`static Lst<String>`
SymmetryOperation.`getLatticeCenteringStrings(SymmetryOperation[] ops)`
`static String`
SymmetryOperation.`getRotTransArrayAndXYZ(SymmetryOperation op, String xyz, float[] linearRotTrans, boolean allowScaling, boolean halfOrLess, boolean retString, String labels)`
Convert the Jones-Faithful notation "x, -z+1/2, y" or "x1, x3-1/2, x2, x5+1/2, -x6+1/2, x7..." to a linear array Also allows a-b,-5a-5b,-c;0,0,0 format
`M4`
SymmetryDesc.`getTransform(UnitCell uc, SymmetryOperation[] ops, P3 fracA, P3 fracB, boolean best)`